/*
 * arch/mips/dec/boot.S
 *
 * Copyright (C) 1995, 1996 Paul M. Antoine
 *
 * Written by Ralf Baechle and Andreas Busse, modified for DECStation
 * support by Paul Antoine.
 *
 * NOTE: There are references to R4X00 code in here, because there is an
 *	 upgrade module for Personal DECStations with such a CPU!
 */
#include <asm/asm.h>
#include <asm/regdef.h>
#include <asm/fpregdef.h>
#include <asm/mipsconfig.h>
#include <asm/mipsregs.h>
#include <asm/stackframe.h>
#include <asm/bootinfo.h>

#include <asm/dec/decstation.h>

/*
 * dec_entry: Called by the boot PROM loader to do DECStation setup, prior
 *	      to calling dec_setup() to fill in the boot_info structure.
 *
 *	      This code should also go in the boot loader for loading off
 *	      floppy and HD... in addition to the tags code in dec_setup().
 *
 *   FIXME:   arrange for this code only to be linked in when building a
 *	      kernel image to be booted via tftp from the boot prom??
 */
		.text
		.set	reorder
		.globl	dec_entry
dec_entry:
		sw	a2,rex_prom_magic
		sw	a3,rex_prom_base

/* FIXME: This used to initialise the graphics console on a 2100/3100, but
 * we should (and will!) do this elsewhere.		
                jal	dec_consput
		nop
 * Used when we want to say hi on a 5000/2x
		la	a0,dec_signon		# say hello
		jal	rex_printf
		nop
 */

		/* Now set up the bootinfo with things that
		 * should be loaded by the boot loader, except that
		 * for the moment we're booting using tftp.
		 */
		jal	dec_setup
		nop

		la	a0,dec_launch		# say where we are going
		jal	printk
		nop

		la      t0,mach_mem_upper       # get upper memory bound
		lw      a0,(t0)			# as kernel_entry needs it
		j	kernel_entry
		nop

		.data
		.align	2
dec_launch:	.asciiz	"Setup complete, launching kernel...\n";








